مواد پر جائیں

Meshy V7 Text to 3D

انٹیگریٹ کریں

ماڈل id meshy/v7/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

مثال جیسی فائلیں: ⁨$1.20⁩ 1,200 API کریڈٹس آپ کی فائلیں رن سے پہلے ناپی جاتی ہیں اس صفحے پر چلائیں

API کلید حاصل کریں
Meshy متن سے 3D #stylized#transform

Meshy 7 کے ساتھ ٹیکسٹ ٹو 3D: preview یا full موڈ، 2k جیومیٹری، PBR، رگنگ اور اینیمیشن کے اختیارات

Meshy · 3D

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی 88 / 600

اس شے کی تفصیل جسے 3D ماڈل کے طور پر پیش کرنا ہے، 600 حروف تک محدود۔

mode ڈیفالٹ full

تخلیق mode: 'preview' textures کے بغیر geometry آؤٹ پٹ کرتا ہے، جبکہ 'full' preview اور refine کو ملا کر textured ماڈل آؤٹ پٹ کرتا ہے۔

geometry_resolution

Mesh geometry ریزولوشن؛ معاون Meshy-7 options standard اور 2k ہیں۔

ایڈوانسڈ texture_prompt · texture_image_url · model_type · topology · symmetry_mode · pose_mode · target_polycount · rigging_height_meters · animation_action_id · seed · should_remesh · enable_pbr · is_a_t_pose · enable_prompt_expansion · enable_safety_checker · ultra_mode
0 / 600

'full' mode میں اضافی text پرامپٹ کے ذریعے texturing کی رہنمائی؛ دوسرے modes اسے استعمال نہیں کرتے۔

فائل ڈراپ کریں، یا

Texture تخلیق کے لیے 2D reference تصویر، صرف 'full' mode میں لاگو۔

model_type ڈیفالٹ standard

3D mesh mode: صاف polygons کے لیے optimized low-poly result کے لیے 'lowpoly' منتخب کریں؛ اس mode میں Meshy topology، target_polycount، اور should_remesh کو نظرانداز کرتا ہے۔ روایتی high-detail result کے لیے 'standard' یا geometry (preview) step میں Meshy-T2 استعمال کرکے شروع ہی سے الگ الگ تخلیق کردہ صاف parts کے لیے 'smart-topology' منتخب کریں۔

topology ڈیفالٹ triangle

ماڈل topology کا انتخاب: geometric detail کے لیے Triangle یا surface smoothness کے لیے Quad۔

symmetry_mode ڈیفالٹ auto

ماڈل بناتے وقت لاگو ہونے والی symmetry setting۔

pose_mode ڈیفالٹ

تخلیق کردہ ماڈل کا pose مت بتانے کے لیے string خالی چھوڑیں، یا 'a-pose' سے A-pose اور 't-pose' سے T-pose طلب کریں۔

ڈیفالٹ 30000

Polygon-count target، جب model_type 'smart-topology' ہو تو 15,000 تک محدود۔ اس mode میں target چھوڑنے پر Meshy کا کم ڈیفالٹ 4,000 منتخب ہوتا ہے۔

ڈیفالٹ 1.7

جب enable_rigging true ہو تو کردار کا تخمینی قد meters میں فراہم کریں؛ بصورت دیگر اس value کا کوئی اثر نہیں۔

ڈیفالٹ 92

Meshy library animation preset ID؛ دستیاب actions https://docs.meshy.ai/en/api/animation-library پر درج ہیں۔ Validation اور استعمال صرف اس وقت لاگو ہوتے ہیں جب enable_animation true ہو: [0, 696] سے باہر values کو 422 کے ساتھ مسترد کیا جاتا ہے، اور "Idle" `0` کے مطابق ہے۔

اس seed کو unchanged پرامپٹ کے ساتھ دوبارہ استعمال کرنے سے عموماً پچھلا result دوبارہ تخلیق ہو جاتا ہے۔

POST /run/meshy/v7/text-to-3d?wait=20 قیمت → ⁨$1.20⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Meshy V7 Text to 3D کے بارے میں

زیادہ سے زیادہ 600 حروف کے `prompt` سے 3D ماڈل بناتا ہے، جس میں اختیاری `enable_prompt_expansion` شامل ہے۔ `mode` غیر ٹیکسچرڈ جیومیٹری یا ٹیکسچرڈ ماڈل واپس کرتا ہے۔ `model_type` کے ذریعے standard، lowpoly یا smart-topology منتخب کریں، `target_polycount` کو 100 سے 300000 تک سیٹ کریں، اور standard یا 2k `geometry_resolution` منتخب کریں۔ ہیومنوئڈ کرداروں کے لیے رگنگ اور اینیمیشن پری سیٹس شامل کیے جا سکتے ہیں۔

پیرامیٹرز

نامقسم ڈیفالٹمجاز تفصیل
promptلازمی
قسمstring
≤ 600 کریکٹرز
اس شے کی تفصیل جسے 3D ماڈل کے طور پر پیش کرنا ہے، 600 حروف تک محدود۔
modeاختیاری
قسمenum
ڈیفالٹfull
previewfull
تخلیق mode: 'preview' textures کے بغیر geometry آؤٹ پٹ کرتا ہے، جبکہ 'full' preview اور refine کو ملا کر textured ماڈل آؤٹ پٹ کرتا ہے۔
seedاختیاری
قسمinteger | null
اس seed کو unchanged پرامپٹ کے ساتھ دوبارہ استعمال کرنے سے عموماً پچھلا result دوبارہ تخلیق ہو جاتا ہے۔
model_typeاختیاری
قسمenum
ڈیفالٹstandard
standardlowpolysmart-topology
3D mesh mode: صاف polygons کے لیے optimized low-poly result کے لیے 'lowpoly' منتخب کریں؛ اس mode میں Meshy topology، target_polycount، اور should_remesh کو نظرانداز کرتا ہے۔ روایتی high-detail result کے لیے 'standard' یا geometry (preview) step میں Meshy-T2 استعمال کرکے شروع ہی سے الگ الگ تخلیق کردہ صاف parts کے لیے 'smart-topology' منتخب کریں۔
topologyاختیاری
قسمenum
ڈیفالٹtriangle
quadtriangle
ماڈل topology کا انتخاب: geometric detail کے لیے Triangle یا surface smoothness کے لیے Quad۔
target_polycountاختیاری
قسمinteger
ڈیفالٹ30000
100 – 300,000
Polygon-count target، جب model_type 'smart-topology' ہو تو 15,000 تک محدود۔ اس mode میں target چھوڑنے پر Meshy کا کم ڈیفالٹ 4,000 منتخب ہوتا ہے۔
should_remeshاختیاری
قسمboolean
ڈیفالٹtrue
اسے false کرکے remeshing چھوڑیں اور raw triangular mesh حاصل کریں؛ بصورت دیگر remesh phase enable کریں۔
symmetry_modeاختیاری
قسمenum
ڈیفالٹauto
offautoon
ماڈل بناتے وقت لاگو ہونے والی symmetry setting۔
enable_pbrاختیاری
قسمboolean
ڈیفالٹfalse
Base color کے ساتھ metallic، roughness، اور normal PBR maps کی تخلیق کو کنٹرول کرتا ہے۔
is_a_t_poseاختیاری
قسمboolean
ڈیفالٹfalse
true کے ذریعے فعال ہونے والا T-pose تخلیق switch؛ pose_mode کے حق میں deprecated ہے۔
pose_modeاختیاری
قسمenum
ڈیفالٹ
a-poset-pose
تخلیق کردہ ماڈل کا pose مت بتانے کے لیے string خالی چھوڑیں، یا 'a-pose' سے A-pose اور 't-pose' سے T-pose طلب کریں۔
enable_prompt_expansionاختیاری
قسمboolean
ڈیفالٹfalse
بڑے ماڈل کو تفصیلات کے ساتھ پرامپٹ بہتر بنانے کی اجازت دیں۔ یہ توسیع فعال کرنے سے پرامپٹ کا مفہوم تبدیل نہیں ہوتا۔
texture_promptاختیاری
قسمstring | null
≤ 600 کریکٹرز
'full' mode میں اضافی text پرامپٹ کے ذریعے texturing کی رہنمائی؛ دوسرے modes اسے استعمال نہیں کرتے۔
texture_image_urlاختیاری
قسمurl · image
Texture تخلیق کے لیے 2D reference تصویر، صرف 'full' mode میں لاگو۔
enable_riggingاختیاری
قسمboolean
ڈیفالٹfalse
Automatic humanoid rigging، ایسے humanoid ماڈل کے لیے سب سے مؤثر ہے جن کے اعضا واضح طور پر الگ پہچانے جا سکیں۔ اسے enable کرنے سے تخلیق کردہ ماڈل rig ہوتا ہے اور walk اور run کے لیے بنیادی animations فراہم ہوتی ہیں۔
rigging_height_metersاختیاری
قسمnumber
ڈیفالٹ1.7
> 0
جب enable_rigging true ہو تو کردار کا تخمینی قد meters میں فراہم کریں؛ بصورت دیگر اس value کا کوئی اثر نہیں۔
enable_animationاختیاری
قسمboolean
ڈیفالٹfalse
کیا rigged ماڈل کو preset animation ملے؛ اس کے لیے enable_rigging true ہونا ضروری ہے۔
animation_action_idاختیاری
قسمinteger
ڈیفالٹ92
Meshy library animation preset ID؛ دستیاب actions https://docs.meshy.ai/en/api/animation-library پر درج ہیں۔ Validation اور استعمال صرف اس وقت لاگو ہوتے ہیں جب enable_animation true ہو: [0, 696] سے باہر values کو 422 کے ساتھ مسترد کیا جاتا ہے، اور "Idle" `0` کے مطابق ہے۔
enable_safety_checkerاختیاری
قسمboolean
ڈیفالٹtrue
Preprocessing safety-check switch: true کرنے سے processing سے پہلے ان پٹ safety check لازمی ہو جاتا ہے۔
geometry_resolutionاختیاری
قسمenum
standard2k
Mesh geometry ریزولوشن؛ معاون Meshy-7 options standard اور 2k ہیں۔
ultra_modeاختیاری
قسمboolean
ڈیفالٹfalse
Deprecated option، جس کی جگہ geometry_resolution نے لے لی ہے؛ دونوں فراہم ہونے پر geometry_resolution غالب آتا ہے۔ geometry_resolution='2k' استعمال کریں۔
لازمی

فائل پیرامیٹرز عوامی https:// URL، 10 MB تک کی data: URI، یا اپ لوڈ کے file_url کو قبول کرتے ہیں۔ فائلیں

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/v7/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1200,
    "usd": "1.20",
    "charged": 1200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "animation_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "animation_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "blend": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "stl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "texture_urls": [
      {
        "base_color": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "metallic": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "normal": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "roughness": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "seed": 42,
    "prompt": "A rustic, antique wooden treasure chest with a curved, domed lid, constructed from weathered, dark brown planks exhibiting prominent wood grain and subtle distress. It's heavily reinforced with broad, dark grey, oxidized metal bands secured by numerous circular rivets. Ornate, dark iron decorative elements featuring swirling foliate patterns and dragon motifs adorn the corners and lid. A prominent, circular, intricately carved metal lock plate with a central keyhole dominates the front, flanked by two large, dark metallic pull rings.",
    "actual_prompt": "string",
    "rigged_character_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rigged_character_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "basic_animations": {
      "walking_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rig_task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
animation_glb
object {url, content_type, file_name, file_size} | nullAnimation result جس میں 3D ماڈل بطور GLB شامل ہے؛ enable_animation true نہ ہونے پر response میں یہ result شامل نہیں ہوتا۔
animation_fbx
object {url, content_type, file_name, file_size} | nullAnimation result جس میں 3D ماڈل بطور FBX شامل ہے؛ enable_animation true نہ ہونے پر response میں یہ result شامل نہیں ہوتا۔
model_glb
object {url, content_type, file_name, file_size}تخلیق کردہ 3D object پر مشتمل GLB فائل۔
thumbnail
object {url, content_type, file_name, file_size} | nullتخلیق کردہ ماڈل کا preview دکھانے والا thumbnail۔
model_urls
object {glb, fbx, obj, usdz, blend, stl}مختلف formats میں 3D ماڈل کے links۔
texture_urls
array of object {base_color, metallic, normal, roughness}Texture فائل، objects کی array کے طور پر۔
seed
integer | nullتخلیق کے دوران استعمال ہونے والی سیڈ قدر۔
prompt
stringتخلیق کے لیے فراہم کیا گیا text پرامپٹ۔
actual_prompt
string | nullپرامپٹ expansion enable ہونے پر تخلیق میں حقیقتاً لاگو کیا گیا پرامپٹ متن۔
rigged_character_glb
object {url, content_type, file_name, file_size} | nullGLB character فائل کے طور پر فراہم کردہ rigging result؛ enable_rigging true نہ ہونے پر response میں موجود نہیں ہوتا۔
rigged_character_fbx
object {url, content_type, file_name, file_size} | nullFBX character فائل کے طور پر فراہم کردہ rigging result؛ enable_rigging true نہ ہونے پر response میں موجود نہیں ہوتا۔
basic_animations
object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | nullبنیادی walk اور run animations، صرف enable_rigging true ہونے پر شامل۔
rig_task_id
string | nullRigging task کا identifier؛ صرف enable_rigging true ہونے پر شامل۔

مزید ماڈلز: متن سے 3D

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/meshy/v7/text-to-3d.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt